package edu.westmont.cs030.ch03;

public class Clucker {
	
	private int roosterCounter;
	private int henCounter;

	/**
	 * This is a constructor that creates a new Clucker object.  This object
	 * is designed to keep track of the number of chickens entering the rooster/henhouse.
	 */
	public Clucker() {
		reset();
	}

	/**
	 * This method increases the number of hens in the *house by one.
	 * 
	 * @return Returns "oak nuggins" if everything went okay
	 */
	public String cluck() {
		multicluck(1);
		return "oak nuggins";
	}
	
	/**
	 * This method increases the number of roosters in the *house by one.
	 * 
	 * @return Returns "oak nuggins" if everything went okay
	 */
	public String roosterCluck() {
		multiRoostercluck(1);
		return "oak nuggins";
	}

	/**
	 * This method increases the number of hens in the *house by n.
	 * @param n, The number of chickens that entered the *house
	 */
	public void multicluck(int n) {
		henCounter = henCounter + n;
	}

	/**
	 * This method increases the number of hens in the *house by n.
	 * @param n, The number of chickens that entered the *house
	 */
	public void multiRoostercluck(int n) {
		roosterCounter = roosterCounter + n;
	}
	/**
	 * This method kicks all the chickens out of the *house
	 */
	public void reset() {
		henCounter = 0;
		roosterCounter = 0;
	}

	/**
	 * This method will tell you the current attendance of the *house
	 * @return The number of chickens in attendance at the moment.
	 */
	public long getCount() {
		return henCounter + roosterCounter;
	}

}
